[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# pollfd

Poll structure

## Declaration

Source position: ostypes.inc line 211

`type pollfd = record`
`fd: cint;` |  | File descriptor
`events: cshort;` |  | Events to look for
`revents: cshort;` |  | Returned events
`end;`

## Description

pollfd is used in the fpPoll call to describe the various actions.

## See also

fpPoll |  | Poll a file descriptor for events.

Documentation generated on: Feb 26 2014